LibreOffice: XTabPageContainerModel Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XTabPageContainerModel Interface Referencepublished

specifies an interface for a UnoControlTabPageContainerModel. More...

`import "XTabPageContainerModel.idl";`

Inheritance diagram for XTabPageContainerModel:

## Exported Interfaces
interface | com::sun::star::container::XIndexContainer
interface | com::sun::star::container::XContainer

## Public Member Functions
XTabPageModel | createTabPage ([in] short TabPageID)
| creates a TabPageModel which can be inserted into the container.
XTabPageModel | loadTabPage ([in] short TabPageID, [in] string ResourceURL)
| creates a TabPageModel which can be inserted into the container, by loading it from a user interface resource file.
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index.
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index.
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed.
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container.

## Detailed Description

specifies an interface for a UnoControlTabPageContainerModel.

Since
  OOo 3.4

## Exported Interfaces

## ◆ com::sun::star::container::XContainer

interface com::sun::star::container::XContainer

## ◆ com::sun::star::container::XIndexContainer

interface com::sun::star::container::XIndexContainer

## Member Function Documentation

## ◆ createTabPage()

XTabPageModel createTabPage | ( | [in] short | TabPageID | ) |

creates a TabPageModel which can be inserted into the container.

Parameters

  TabPageID | the id of the tab page

## ◆ loadTabPage()

XTabPageModel loadTabPage | ( | [in] short | TabPageID,
|  | [in] string | ResourceURL )

creates a TabPageModel which can be inserted into the container, by loading it from a user interface resource file.

Parameters

  TabPageID | the id of the tab page
  ResourceURL | the URL of the user interface resource to load

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tab/XTabPageContainerModel.idl